Initiate a project file upload

View as Markdown

Validate a project file and create a presigned direct-upload URL. Mobile projects only accept photos and videos (.png, .jpg, .jpeg, .mp4, .mov); runs preload them into the device photo library.

Authentication

AuthorizationBearer
API key authentication using Bearer token format

Path parameters

projectIdstringRequired
Project ID or shortId

Request

This endpoint expects an object.
filenamestringRequired>=1 character
fileSizeintegerRequired<=52428800
mediaTypestringOptional

Response

Presigned project-file upload details

uploadUrlstringformat: "uri"
storageKeystring
mimeTypestring
filenamestring
fileSizeinteger
mediaTypestring

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error